import java.util.LinkedList;

/**
 * Test our House class with two methods, one using a foreach loop and 
 * one using a while loop. One is for an array of Houses and one is for a
 * list of Houses.
 * 
 * @author Sara Sheehan
 * @version March 7, 2016
 */
public class HouseTester {
	
	/** Return the house with the minimum price. */
	public static House minHouse(LinkedList<House> houseList) {
		House minHouse = houseList.get(0); // start out with the first house
		for (House house : houseList) {
			if (house.compareTo(minHouse) < 0) {
				minHouse = house;
			}
		}
		return minHouse;
	}
	
	/** 
	 * Return the index of the FIRST house with the given price. 
	 * If no house with this price, return -1.
	 */
	public static int getPriceIndex(House[] array, int price) {
		int index = 0;
		while (index < array.length && array[index].getPrice() != price) {
			index += 1;
		}
		if (index < array.length) {
			return index;
		}
		return -1;
	}

	public static void main(String[] args) {
		
		// make a new array of four houses
		House[] houseArray = new House[4];
		houseArray[0] = new House(8);
		houseArray[1] = new House(3);
		houseArray[2] = new House(1);
		houseArray[3] = new House(7);
		
		// copy over the contents of the array into a list
		LinkedList<House> houseList = new LinkedList<House>();
		for (House house : houseArray) {
			houseList.add(house);
		}
		
		// test our methods
		System.out.println("min house price: " + minHouse(houseList).getPrice());
		System.out.println("index with price 7: " + getPriceIndex(houseArray,7));
	}
}
